471,337 Members | 1,081 Online
Bytes | Software Development & Data Engineering Community
Post +

Home Posts Topics Members FAQ

Join Bytes to post your question to a community of 471,337 software developers and data experts.

What files needed to install .Net 1.1 on Web Server?

I would like to install the .Net 1.1 framework on a Web Server running W2K
to be able to run ASP.NET files, but I'm not sure where to find the files I
need for the .Net framework.

I have ".NET Framework 1.1 Service Pack 1" (NDP1.1sp1-KB867460-X86.exe) and
"ASP.NET Security Update for .NET Framework 1.1 SP1"
(NDP1.1sp1-KB886903-X86.exe).

The SP1 will not install unless 1.1 is already installed (I thought that SP1
was the whole 1.1 package). It was posted earlier (7/26/2005) on this
newsgroup that the .NET 1.1 redistributable is not needed on the server,
only on client machines that need to run Windows Forms applications using
..NET Framework (DNF) (which I thank the author, Clinton Gallagher, for his
input and advice)
"The .DNF (.NET Framework) is not required on a client machine when used
to access a website developed using ASP.NET but is required on the web
server where the ASP.NET application runs. The DNF is required on a
client machine for Windows Forms applications developed using the DNF
because the Windows application runs locally on that machine" << (I also
thank Derek Davidson for his response - both were helpful)


The MSDN site
(http://msdn.microsoft.com/netframewo.../framework1_1/) says that
1.1 can be obtained from Microsoft Windows Update (which I assume is not the
redistributable) - Is there any other way to get it online?

So I guess I'm confused as to exactly what files need to be installed on a
Web Server running W2K Server and IIS 5.0 so that ASP.NET files (.aspx)
created in FrontPage 2003 can run (I have sample aspx files, but they won't
run on our intranet because the intranet web server doesn't have the .NET
framework installed)

Thanks in advance.
Aug 3 '05 #1
3 2072
I have to pointed out that you read the said post entirely wrong. That post
said:
"The .DNF (.NET Framework) is not required on a client machine when used to access a website developed using ASP.NET but is required on the web
server where the ASP.NET application runs. The DNF is required on a
But you read it as:
was the whole 1.1 package). It was posted earlier (7/26/2005) on this
newsgroup that the .NET 1.1 redistributable is not needed on the server,
only on client machines that need to run Windows Forms applications using
.NET Framework (DNF) (which I thank the author, Clinton Gallagher, for his
input and advice)
So, the anwser to your question is, YES, you need .NET Framework on the web
server to run ASP.NET. You need to install redistributable package and then
apply available sevice pack.

"Wade" <wn********@preinnewhofdonotreply.com> wrote in message
news:Oo**************@tk2msftngp13.phx.gbl... I would like to install the .Net 1.1 framework on a Web Server running W2K
to be able to run ASP.NET files, but I'm not sure where to find the files I need for the .Net framework.

I have ".NET Framework 1.1 Service Pack 1" (NDP1.1sp1-KB867460-X86.exe) and "ASP.NET Security Update for .NET Framework 1.1 SP1"
(NDP1.1sp1-KB886903-X86.exe).

The SP1 will not install unless 1.1 is already installed (I thought that SP1 was the whole 1.1 package). It was posted earlier (7/26/2005) on this
newsgroup that the .NET 1.1 redistributable is not needed on the server,
only on client machines that need to run Windows Forms applications using
.NET Framework (DNF) (which I thank the author, Clinton Gallagher, for his
input and advice)
"The .DNF (.NET Framework) is not required on a client machine when
used to access a website developed using ASP.NET but is required on the web
server where the ASP.NET application runs. The DNF is required on a
client machine for Windows Forms applications developed using the DNF
because the Windows application runs locally on that machine" << (I also thank Derek Davidson for his response - both were helpful)


The MSDN site
(http://msdn.microsoft.com/netframewo.../framework1_1/) says that
1.1 can be obtained from Microsoft Windows Update (which I assume is not

the redistributable) - Is there any other way to get it online?

So I guess I'm confused as to exactly what files need to be installed on a
Web Server running W2K Server and IIS 5.0 so that ASP.NET files (.aspx)
created in FrontPage 2003 can run (I have sample aspx files, but they won't run on our intranet because the intranet web server doesn't have the .NET
framework installed)

Thanks in advance.

Aug 3 '05 #2
You thank Clinton G for the quote, but then you didn't read the quote.

I will excerpt the key sentence so it will be easy to spot.
"The .DNF (.NET Framework) [...] is required on the web server where the
ASP.NET application runs.

You must install the dot net framework onto the web server in order to run
your ASP.Net app.

http://www.microsoft.com/downloads/d...displaylang=en

--
--- Nick Malik [Microsoft]
MCSD, CFPS, Certified Scrummaster
http://blogs.msdn.com/nickmalik

Disclaimer: Opinions expressed in this forum are my own, and not
representative of my employer.
I do not answer questions on behalf of my employer. I'm just a
programmer helping programmers.
--
"Wade" <wn********@preinnewhofdonotreply.com> wrote in message
news:Oo**************@tk2msftngp13.phx.gbl...
I would like to install the .Net 1.1 framework on a Web Server running W2K
to be able to run ASP.NET files, but I'm not sure where to find the files I
need for the .Net framework.

I have ".NET Framework 1.1 Service Pack 1" (NDP1.1sp1-KB867460-X86.exe)
and "ASP.NET Security Update for .NET Framework 1.1 SP1"
(NDP1.1sp1-KB886903-X86.exe).

The SP1 will not install unless 1.1 is already installed (I thought that
SP1 was the whole 1.1 package). It was posted earlier (7/26/2005) on this
newsgroup that the .NET 1.1 redistributable is not needed on the server,
only on client machines that need to run Windows Forms applications using
.NET Framework (DNF) (which I thank the author, Clinton Gallagher, for his
input and advice) "The .DNF (.NET Framework) is not required on a client machine when used
to access a website developed using ASP.NET but is required on the web
server where the ASP.NET application runs. The DNF is required on a
client machine for Windows Forms applications developed using the DNF
because the Windows application runs locally on that machine" << (I also
thank Derek Davidson for his response - both were helpful)


The MSDN site
(http://msdn.microsoft.com/netframewo.../framework1_1/) says that
1.1 can be obtained from Microsoft Windows Update (which I assume is not
the redistributable) - Is there any other way to get it online?

So I guess I'm confused as to exactly what files need to be installed on a
Web Server running W2K Server and IIS 5.0 so that ASP.NET files (.aspx)
created in FrontPage 2003 can run (I have sample aspx files, but they
won't run on our intranet because the intranet web server doesn't have the
.NET framework installed)

Thanks in advance.

Aug 3 '05 #3
Thanks guys, as you can see I am really green at this .NET stuff. When I
read the first paragraph, it said DNF needed to be installed on server, then
the 2nd paragraph made reference to the redistributable needing to be
installed locally if Windows Forms is used, so I thought (wrongly) that
these were 2 different programs -- .NET (paragraph 1) and .NET
redistributable (paragraph 2). So, dotnetfx.exe, then the sp, then the asp
security update -- got it.

Another question (which may be too obvious) Should I stop the IIS Admin
service before any of the files are installed?

Thanks again.

"Norman Yuan" <No*****@NotReal.not> wrote in message
news:Ow**************@TK2MSFTNGP09.phx.gbl...
I have to pointed out that you read the said post entirely wrong. That post
said:
>> "The .DNF (.NET Framework) is not required on a client machine when used >> to access a website developed using ASP.NET but is required on the web
>> server where the ASP.NET application runs. The DNF is required on a
But you read it as:
was the whole 1.1 package). It was posted earlier (7/26/2005) on this
newsgroup that the .NET 1.1 redistributable is not needed on the server,
only on client machines that need to run Windows Forms applications using
.NET Framework (DNF) (which I thank the author, Clinton Gallagher, for
his
input and advice)


So, the anwser to your question is, YES, you need .NET Framework on the
web
server to run ASP.NET. You need to install redistributable package and
then
apply available sevice pack.

"Wade" <wn********@preinnewhofdonotreply.com> wrote in message
news:Oo**************@tk2msftngp13.phx.gbl...
I would like to install the .Net 1.1 framework on a Web Server running
W2K
to be able to run ASP.NET files, but I'm not sure where to find the files

I
need for the .Net framework.

I have ".NET Framework 1.1 Service Pack 1" (NDP1.1sp1-KB867460-X86.exe)

and
"ASP.NET Security Update for .NET Framework 1.1 SP1"
(NDP1.1sp1-KB886903-X86.exe).

The SP1 will not install unless 1.1 is already installed (I thought that

SP1
was the whole 1.1 package). It was posted earlier (7/26/2005) on this
newsgroup that the .NET 1.1 redistributable is not needed on the server,
only on client machines that need to run Windows Forms applications using
.NET Framework (DNF) (which I thank the author, Clinton Gallagher, for
his
input and advice)
>> "The .DNF (.NET Framework) is not required on a client machine when

used >> to access a website developed using ASP.NET but is required on the web
>> server where the ASP.NET application runs. The DNF is required on a
>> client machine for Windows Forms applications developed using the DNF
>> because the Windows application runs locally on that machine" << (I also >> thank Derek Davidson for his response - both were helpful)


The MSDN site
(http://msdn.microsoft.com/netframewo.../framework1_1/) says
that
1.1 can be obtained from Microsoft Windows Update (which I assume is not

the
redistributable) - Is there any other way to get it online?

So I guess I'm confused as to exactly what files need to be installed on
a
Web Server running W2K Server and IIS 5.0 so that ASP.NET files (.aspx)
created in FrontPage 2003 can run (I have sample aspx files, but they

won't
run on our intranet because the intranet web server doesn't have the .NET
framework installed)

Thanks in advance.


Aug 3 '05 #4

This discussion thread is closed

Replies have been disabled for this discussion.

Similar topics

1 post views Thread by Allan Cammish | last post: by
121 posts views Thread by typingcat | last post: by
15 posts views Thread by (PeteCresswell) | last post: by
7 posts views Thread by Altemir | last post: by
1 post views Thread by Steve Mavronis | last post: by

By using Bytes.com and it's services, you agree to our Privacy Policy and Terms of Use.

To disable or enable advertisements and analytics tracking please visit the manage ads & tracking page.